package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.Feriado;

public class RenderFeriado implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Feriado feriado = (Feriado) o;

		Listcell lc = new Listcell(feriado.getFeriadoId().toString());
		lc.setParent(lstm);

		SimpleDateFormat data = new SimpleDateFormat("dd/MM/yyyy");
		lc = new Listcell(data.format(feriado.getFecferiado()));
		lc.setParent(lstm);

		lc = new Listcell(feriado.getDescferiado());
		lc.setParent(lstm);

		Empresa empresa = feriado.getEmpresa();
		if (empresa != null) {
			lc = new Listcell(empresa.getNombempresa());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Estado estado = feriado.getEstado();
		if (estado != null) {
			lc = new Listcell(estado.getNombestado());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", feriado);
	}
}
